/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_BANKING_BANKACCOUNT_H_
#define DRN_BANKING_BANKACCOUNT_H_

#include <iosfwd>

#include <banking_export.h>
#include <foundation/PresentationTags.hpp>

#include "BankAccountType.h"
#include "BankName.h"


class QDebug;
class QString;

namespace drn::banking
{

struct DRN_BANKING_EXPORT BankAccount
{
	BankName name_{};
	BankAccountType accountType_{};
};

DRN_BANKING_EXPORT bool operator<(const BankAccount& lhs, const BankAccount& rhs);
DRN_BANKING_EXPORT bool operator==(const BankAccount& lhs, const BankAccount& rhs);
DRN_BANKING_EXPORT bool operator!=(const BankAccount& lhs, const BankAccount& rhs);
DRN_BANKING_EXPORT std::ostream& operator<<(std::ostream& out, const BankAccount& ba);
DRN_BANKING_EXPORT ::QDebug& operator<<(::QDebug& out, const BankAccount& ba);
DRN_BANKING_EXPORT ::QString presentationText(
	const BankAccount& ba,
	const foundation::LocaleAware isLocaleAware = foundation::LocaleAware{true}
);

}

#endif
