/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_CONFIG_H_
#define DRN_CONFIG_H_

/// The major version component in the semantic version scheme.
#define DuxReiNummariae_VERSION_MAJOR 0
/// The minor version component in the semantic version scheme.
#define DuxReiNummariae_VERSION_MINOR 8
/// The patch version component in the semantic version scheme.
#define DuxReiNummariae_VERSION_PATCH 0
/// The major.minor.patch version form in the semantic version scheme, sans build number.
#define DuxReiNummariae_FULL_VERSION "0.8.0"
/// The full form of the application name.
#define DuxReiNummariae_APPLICATION_LONG_NAME "Dux Rei Nummariae"
/// The full translated form of the application name.
#define DuxReiNummariae_APPLICATION_TRANSLATED_NAME "Budget Navigator"
/// The abbreviated form of the application name.
#define DuxReiNummariae_APPLICATION_SHORT_NAME "DRN"
/// The last active years of copyright claim.
#define DuxReiNummariae_COPYRIGHT_YEARS "2017 - 2024"
/// The front facing URL for the application.
#define DuxReiNummariae_APPLICATION_URL "http://www.budgetnav.com"
/// The name of the organisation that produced the application.
#define DuxReiNummariae_ORGANIZATION_NAME "AureliusSoft"
/// The API key to use with OpenExchange when updating exchange rates.
#define DuxReiNummariae_OPEN_EXCHANGE_RATES_API_KEY "aaf744e881c94fdb82db913e6a2cb784"
/// The Heptapod project access token to use with all requests.
#define DuxReiNummariae_PROJECT_ACCESS_TOKEN "yxCXapEiptceyw7y_pUL"
/// The Heptapod Project ID to use for all requests to it.
#define DuxReiNummariae_PROJECT_ID "1069"

#endif
