/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_DESKTOP_UI_EVENTFREQUENCYENTRYWIDGET_H_
#define DRN_DESKTOP_UI_EVENTFREQUENCYENTRYWIDGET_H_

#include <QWidget>

#include <desktop-ui_export.h>
#include <ui_EventFrequencyEntryWidget.h>


namespace drn
{
namespace budgeting
{

enum class EventFrequency : quint8;

}
namespace foundation
{

template<typename>
class QtPtr;

}
namespace desktop_ui
{

/**
 * @brief A Qt Widget to display an event frequency entry.
 */
class DRN_DESKTOP_UI_EXPORT EventFrequencyEntryWidget :
	public QWidget, 
	Ui::EventFrequencyEntryWidget
{
	Q_OBJECT

signals:
	//{ QComboBox Signals

	void currentIndexChanged(int index);

	//}

public:
	explicit EventFrequencyEntryWidget(const foundation::QtPtr<::QWidget>& parent);
	void setFrequency(const budgeting::EventFrequency& frequency);
	budgeting::EventFrequency frequency() const;
	int currentIndex() const;
};

}}

#endif
