/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_NAVIGATION_BUDGETBANKACCOUNT_H_
#define DRN_NAVIGATION_BUDGETBANKACCOUNT_H_

#include <set>

#include <budgeting/BudgetItemIdentifier.h>
#include <banking/BankAccount.h>

#include <navigation_export.h>


namespace drn
{
namespace budgeting
{

class BudgetSource;

}
namespace navigation
{

struct DRN_NAVIGATION_EXPORT BudgetBankAccount
{
	budgeting::BudgetItemIdentifier id_;
	banking::BankAccount bankAccount_;
};

DRN_NAVIGATION_EXPORT bool operator<(const BudgetBankAccount& lhs, const BudgetBankAccount& rhs);
DRN_NAVIGATION_EXPORT bool operator==(const BudgetBankAccount& lhs, const BudgetBankAccount& rhs);
DRN_NAVIGATION_EXPORT bool operator!=(const BudgetBankAccount& lhs, const BudgetBankAccount& rhs);
DRN_NAVIGATION_EXPORT std::optional<banking::BankAccount> lookUpBankAccount(
	const budgeting::BudgetSource& toFind,
	const std::set<BudgetBankAccount>& accounts
);

}}

#endif
